<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Topic share per period stacked area chart — plot_topic_share_per_period • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Topic share per period stacked area chart — plot_topic_share_per_period"><meta name="description" content="Creates a Plotly stacked area chart that visualizes the share of
referendum topic occurences per period."><meta property="og:description" content="Creates a Plotly stacked area chart that visualizes the share of
referendum topic occurences per period."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><!-- dependencies from examples --><script src="libs/htmlwidgets-1.6.4/htmlwidgets.js"></script><script src="libs/plotly-binding-4.10.4.9000/plotly.js"></script><script src="libs/typedarray-0.1/typedarray.min.js"></script><link href="libs/crosstalk-1.2.1/css/crosstalk.min.css" rel="stylesheet"><script src="libs/crosstalk-1.2.1/js/crosstalk.min.js"></script><link href="libs/plotly-htmlwidgets-css-2.11.1/plotly-htmlwidgets.css" rel="stylesheet"><script src="libs/plotly-main-2.11.1/plotly-latest.min.js"></script><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Topic share per period stacked area chart</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>plot_topic_share_per_period.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Creates a <a href="https://plotly.com/r/filled-area-plots/#stacked-area-chart-with-cumulative-values" class="external-link">Plotly stacked area chart</a> that visualizes the share of
referendum topic occurences per period.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">plot_topic_share_per_period</span><span class="op">(</span></span>
<span>  <span class="va">data</span>,</span>
<span>  tier <span class="op">=</span> <span class="fl">1L</span>,</span>
<span>  period <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"week"</span>, <span class="st">"month"</span>, <span class="st">"quarter"</span>, <span class="st">"year"</span>, <span class="st">"decade"</span>, <span class="st">"century"</span><span class="op">)</span>,</span>
<span>  weight_by_n_rfrnds <span class="op">=</span> <span class="cn">TRUE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-data">data<a class="anchor" aria-label="anchor" href="#arg-data"></a></dt>
<dd><p>RDB referendum data as returned by <code><a href="rfrnds.html">rfrnds()</a></code>. A data frame that at minimum contains the column <code>topics_tier_#</code> of the specified <code>tier</code>.</p></dd>


<dt id="arg-tier">tier<a class="anchor" aria-label="anchor" href="#arg-tier"></a></dt>
<dd><p>Tier of the topics variable to plot. <code>1L</code>, <code>2L</code> or <code>3L</code>.</p></dd>


<dt id="arg-period">period<a class="anchor" aria-label="anchor" href="#arg-period"></a></dt>
<dd><p>Type of period to count topics by. One of
<code>"week"</code>, <code>"month"</code>, <code>"quarter"</code>, <code>"year"</code>, <code>"decade"</code> or <code>"century"</code>.</p></dd>


<dt id="arg-weight-by-n-rfrnds">weight_by_n_rfrnds<a class="anchor" aria-label="anchor" href="#arg-weight-by-n-rfrnds"></a></dt>
<dd><p>Whether or not to weight topic occurences by number of referendums. If <code>TRUE</code>, for a referendum with n different topics of the same
<code>tier</code>, every topic is counted 1/n.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://rdrr.io/pkg/plotly/man/plot_ly.html" class="external-link">plotly object</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>Note that the <code>period</code> types <code>"year"</code>, <code>"decade"</code> and <code>"century"</code> are <em>unique</em> timespans, while <code>"week"</code>, <code>"month"</code> and <code>"quarter"</code> are <em>recurring</em> timespans (e.g. every year has a week 1).</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other visualization functions:
<code><a href="ggplot_streamgraph.html">ggplot_streamgraph</a>()</code>,
<code><a href="plot_rfrnd_share_per_period.html">plot_rfrnd_share_per_period</a>()</code>,
<code><a href="plot_topic_segmentation.html">plot_topic_segmentation</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="rfrnds.html">rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">plot_topic_share_per_period</span><span class="op">(</span>period <span class="op">=</span> <span class="st">"decade"</span><span class="op">)</span></span></span>
<div id="htmlwidget-1fb4450895fe099f74a1" style="width:700px;height:432.632880098888px;" class="plotly html-widget"></div>
<script type="application/json" data-for="htmlwidget-1fb4450895fe099f74a1">{"x":{"visdat":{"6629c47a93f11":["function () ","plotlyVisDat"]},"cur_data":"6629c47a93f11","attrs":{"6629c47a93f11":{"mode":"none","stackgroup":"one","groupnorm":"percent","x":{},"y":{},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","legend":{"orientation":"h"},"xaxis":{"domain":[0,1],"automargin":true,"dtick":10,"showgrid":false,"ticklabelstep":5,"range":[],"ticks":"outside","title":{"text":[]}},"yaxis":{"domain":[0,1],"automargin":true,"fixedrange":true,"hoverformat":".1f","showgrid":false,"ticksuffix":" % ","title":{"text":[]}},"shapes":[{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1800,"x1":1800,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1850,"x1":1850,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1900,"x1":1900,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":1950,"x1":1950,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":2000,"x1":2000,"line":{"color":"#fff","width":0.20000000000000001}}],"showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false},"data":[{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1790,1800,1810,1820,1830,1840,1850,1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[22,12,4,5,3,21,6,51.833333333333336,17.666666666666668,4,8.1666666666666661,15.166666666666666,33,61.333333333333336,55.666666666666664,70.833333333333329,67.666666666666671,133.83333333333334,566.16666666666663,502.16666666666669,772.66666666666663,585.33333333333337,491.16666666666669,167],"name":"state organisation","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"line":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[1,5.333333333333333,1.3333333333333333,0.5,4,1,1.5,9.1666666666666661,7,12.666666666666666,15.833333333333334,28.5,40.166666666666664,28,8.1666666666666661],"name":"foreign policy","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"line":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[0.66666666666666663,0.5,1,1.3333333333333333,3.5,6,4.166666666666667,3.3333333333333335,9.5,2,30.833333333333332,55.666666666666664,58,52.333333333333336,30.833333333333332,14.833333333333334],"name":"security policy","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"line":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1860,1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[1.3333333333333333,1,3.5,3.5,7,8,6.5,8.3333333333333339,9.1666666666666661,8.8333333333333339,4.333333333333333,122.83333333333333,124.83333333333333,137.16666666666666,123.16666666666667,90.833333333333329,30.666666666666668],"name":"economy","type":"scatter","marker":{"color":"rgba(214,39,40,1)","line":{"color":"rgba(214,39,40,1)"}},"error_y":{"color":"rgba(214,39,40,1)"},"error_x":{"color":"rgba(214,39,40,1)"},"line":{"color":"rgba(214,39,40,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1880,1890,1900,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[0.66666666666666663,1.8333333333333333,0.66666666666666663,2,0.33333333333333331,1.3333333333333333,2.8333333333333335,2.3333333333333335,46,36.5,41.333333333333336,25.666666666666668,11,4.333333333333333],"name":"agriculture","type":"scatter","marker":{"color":"rgba(148,103,189,1)","line":{"color":"rgba(148,103,189,1)"}},"error_y":{"color":"rgba(148,103,189,1)"},"error_x":{"color":"rgba(148,103,189,1)"},"line":{"color":"rgba(148,103,189,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1860,1870,1880,1890,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[0.5,0.66666666666666663,0.66666666666666663,0.5,3,5.833333333333333,2.1666666666666665,1.5,8.3333333333333339,7.333333333333333,233.16666666666666,195.66666666666666,178,191.83333333333334,214.83333333333334,82.833333333333329],"name":"public finance","type":"scatter","marker":{"color":"rgba(140,86,75,1)","line":{"color":"rgba(140,86,75,1)"}},"error_y":{"color":"rgba(140,86,75,1)"},"error_x":{"color":"rgba(140,86,75,1)"},"line":{"color":"rgba(140,86,75,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1900,1920,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[1,1,0.5,1.6666666666666665,1,17.166666666666668,43.833333333333336,25.666666666666668,31.166666666666668,38.333333333333336,12.5],"name":"energy","type":"scatter","marker":{"color":"rgba(227,119,194,1)","line":{"color":"rgba(227,119,194,1)"}},"error_y":{"color":"rgba(227,119,194,1)"},"error_x":{"color":"rgba(227,119,194,1)"},"line":{"color":"rgba(227,119,194,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1870,1890,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[1,3,1,2.3333333333333335,1.3333333333333333,1,5.5,0.5,168.5,199.33333333333334,156,121.66666666666667,89.666666666666671,29.666666666666668],"name":"transport and infrastructure","type":"scatter","marker":{"color":"rgba(127,127,127,1)","line":{"color":"rgba(127,127,127,1)"}},"error_y":{"color":"rgba(127,127,127,1)"},"error_x":{"color":"rgba(127,127,127,1)"},"line":{"color":"rgba(127,127,127,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1890,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[0.5,0.5,1,1,8.1666666666666661,10.833333333333334,153.16666666666666,191.16666666666666,189.5,113.5,103.5,53.166666666666664],"name":"environment and living space","type":"scatter","marker":{"color":"rgba(188,189,34,1)","line":{"color":"rgba(188,189,34,1)"}},"error_y":{"color":"rgba(188,189,34,1)"},"error_x":{"color":"rgba(188,189,34,1)"},"line":{"color":"rgba(188,189,34,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1870,1880,1890,1900,1910,1920,1930,1940,1950,1960,1970,1980,1990,2000,2010,2020],"y":[0.5,1.1666666666666665,13.666666666666666,12.666666666666666,14,19,17.666666666666668,12.833333333333334,13.333333333333334,16.333333333333332,256.83333333333331,269.33333333333331,291.66666666666669,244.66666666666666,217.83333333333334,77.666666666666671],"name":"social policy","type":"scatter","marker":{"color":"rgba(23,190,207,1)","line":{"color":"rgba(23,190,207,1)"}},"error_y":{"color":"rgba(23,190,207,1)"},"error_x":{"color":"rgba(23,190,207,1)"},"line":{"color":"rgba(23,190,207,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1880,1900,1920,1930,1950,1960,1970,1980,1990,2000,2010,2020],"y":[0.5,0.5,1.5,1,1.5,4,121.83333333333333,131.83333333333334,111.66666666666667,97.666666666666671,91.833333333333329,12.666666666666666],"name":"education and research","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"line":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1860,1870,1890,1900,1920,1930,1950,1960,1970,1980,1990,2000,2010,2020],"y":[1.3333333333333333,0.5,0.5,0.33333333333333331,1,2.3333333333333335,1.5,1.5,35.833333333333336,35.833333333333336,43.833333333333336,36.833333333333336,33.166666666666664,10.5],"name":"culture, religion and media","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"line":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script></code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

